corda / net.corda.node.services.events / ScheduledActivityObserver

# ScheduledActivityObserver

`class ScheduledActivityObserver`

This observes the vault and schedules and unschedules activities appropriately based on state production and consumption.

### Constructors

<init> | `ScheduledActivityObserver(services: ServiceHubInternal)` This observes the vault and schedules and unschedules activities appropriately based on state production and consumption.

### Properties

services | `val services: ServiceHubInternal`